html, body {
    margin: 0;
    padding: 0;
    background: #141418;
    /* background: #162131; */
    /* background: #1e293b; */
    /* background: #2e3846; */
    /* background: #3d4b5e; */
    /* cursor: url('/img/icon/happy.ico') 34 34, pointer; */
}
img {
    display: block;
    margin: 0;
    padding: 0;
}

.hide {
    display: none !important;
}
.block {
    width: 100% !important;
}
.pointer {
    cursor: pointer;
}
.center {
    text-align: center;
}

.m-10 {
    margin: 10px;
}
.mt-5 {
    margin-top: px;
}
.mt-10 {
    margin-top: 10px;
}
.mt-20 {
    margin-top: 20px;
}
.mt-30 {
    margin-top: 30px;
}
.mr-5 {
    margin-right: 5px;
}
.mr-10 {
    margin-right: 10px;
}
.mr-20 {
    margin-right: 20px;
}
.mr-30 {
    margin-right: 30px;
}
.mb-5 {
    margin-bottom: 5px;
}
.mb-10 {
    margin-bottom: 10px;
}
.mb-20 {
    margin-bottom: 20px;
}
.mb-30 {
    margin-bottom: 30px;
}
.mb-40 {
    margin-bottom: 40px;
}
.ml-5 {
    margin-left: 5px;
}
.ml-10 {
    margin-left: 10px;
}
.ml-20 {
    margin-left: 20px;
}
.ml-30 {
    margin-left: 30px;
}
.p-10 {
    padding: 10px;
}
.p-30 {
    padding: 30px;
}
.p-50 {
    padding: 50px;
}
.fs-16 {
    font-size: 16px !important;
}
.link {
    font-size: 14px;
    color: #a7a7a9;
    text-decoration: none;
}
.link:hover {
    cursor: pointer;
}
.link-underline {
    text-decoration: underline;
}
.link-overline {
    text-decoration: overline;
}
.link-color-green {
    color: #A3CB38;
}
.link-color-green:hover {
    color: #C4E538;
    transition: color 0.5s;
}
.link-color-purple {
    color: #5f27cd;
}
.link-color-purple:hover {
    color: #6f3fcf;
    transition: color 0.5s;
}

/*
 * Badge
 */
.badge {
    /* display: block; */
    /* display: inline-block; */
    display: inline-flex;
    align-items: center; /* 垂直居中 */
    justify-content: center; /* 水平居中 */
    /* vertical-align: middle; */
    /* height:16px; */
    /* width: 1%; */
	  background: #ccc;
	  color: #fff;
    font-size: 10px;
    padding: 0px 8px 2px 8px;
    border-radius: 12px;
    /* vertical-align: middle; */
}
.badge img {
    float: right;
}
.badge-close {
    width: 18px;
    filter: brightness(0%);
    cursor: pointer;
}
.badge-small {
    font-size: 7px;
    border-radius: 6px;
}
.badge-tag {
    font-size: 14px;
    border-radius: 6px;
}
.badge-color-blue {
    /* background: #ecf0f1 !important; */
    background: #0652DD !important;
}
.badge-color-grey1 {
    /* background: #ecf0f1 !important; */
    background: #1c1c20 !important;
}
.badge-color-grey2 {
    /* background: #ecf0f1 !important; */
    background: #2c2c30 !important;
}
.badge-color-grey {
    /* background: #ecf0f1 !important; */
    background: #3c3c40 !important;
}
.badge-color-green {
    color: #000000;
    /* background: #ecf0f1 !important; */
    background: #C4E538 !important;
}
.badge-color-blue {
    color: #000000;
    /* background: #ecf0f1 !important; */
    background: #0652DD !important;
}
.badge-color-purple {
    background: #6f3fcf !important;
    /* color: #ccc; */
    /* transition: background-color 0.3s ease; /* 过渡效果 */ */
}


/*
 * Input
 */
input {
    outline: none;
    -webkit-appearance: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    font-family: PingFang SC;
    border-radius: 12px;
}

/* 自定义自动填充样式 */
input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px #1c1c20 inset !important;
    -webkit-text-fill-color: #ffffff !important;
    /* transition: background-color 5000s ease-in-out 0s; */
    /* border-radius: 12px !important; */
    /* border: 2px solid #1c1c20 !important; */
    /* transition: background-color 5000s ease-in-out 0s, border-color 0.3s ease !important; */
}

.input-group {
    position: relative;
    display: flex;
    align-items: center;
}
/* .input-group i, .input-group img {
    position: absolute;
    left: 15px;
    font-size: 16px;
    color: #34495e;
} */
.input-group input {
    padding-left:32px;
}
.input-search {
    padding-left:32px;
    /* padding-right:36px; */
}
.input-image-left {
    position: absolute;
    left: 15px;
    font-size: 16px;
    color: #545458;
}
.input-group-right {
    display: flex;
    align-items: center;
    justify-content: center;
    grid-gap: 10px;
    position: absolute;
    right: 15px;
    font-size: 14px;
    color: #545458;
}
.input-image-right {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: 15px;
    font-size: 14px;
    color: #545458;
}
.input::-webkit-input-placeholder {
    /* font-size: 12px; */
    font-family: PingFang SC;
    color: #545458;
}
.input {
    vertical-align: middle;
    min-width: 50px;
    height: 42px;
    box-sizing: border-box;
    /* padding: 0px 15px; */
    text-indent: 10px;
    font-size: 14px;
    float: left;
}
.input-dark {
    /* border: 1px solid #333; */
    border: 0;
    border-radius: 12px;
    text-indent: 15px;
    background-color: #1c1c20;
    color: #fff;
}
.input-title {
    font-size: 12px;
    /* font-weight: bold; */
    /* color: #a7a7a9; */
    color: #545458;
    padding: 5px 0;
    display: block;
}
.input-tip {
    font-size: 12px;
    /* font-weight: bold; */
    color: #ED4C67;
    display: block;
}
/* progress bar */
.input-progress {
    position: absolute;
    font-size: 16px;
    /* color: #545458; */
    display: none;
    background-color: #1c1c20;
    border-radius: 12px;
    overflow: hidden;
    height: 42px;
    width: 100%;
}
.input-progress-bar {
    width: 0%;
    height: 100%;
    background-color: #5f27cd;
    transition: width 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 14px;
}

.button {
    display: flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    min-width: 100px;
    height: 42px;
    box-sizing: border-box;
    text-decoration: none;
    outline: none;
    /* border: 1px solid #34495e; */
    border: none;
    border-radius: 12px;
    padding: 10px 20px;
    font-size: 14px;
    color: #34495e;
    background: #ecf0f1;
    float: left;
    transition: background 0.1s;
    font-family: PingFang SC;
}
.button-small {
    min-width: 42px;
    height: 32px;
}
.button:hover {
    cursor: pointer;
}
.button-disable {
    background: #343438 !important;
    cursor: not-allowed !important;
    color: #646468 !important;
}
.button-color-none {
    /* color: #fff; */
    color: #ccc;
    background: none;
    /* transition: background 0.5s, box-shadow 0.5s; */
    /* transition: background-color 0.5s ease; */
}
.button-color-none:hover {
    background: #6f3fcf;
    color: #ccc;
    transition: background-color 0.3s ease; /* 过渡效果 */
}
.button-color-none-purple {
    background: #6f3fcf;
    color: #ccc;
    transition: background-color 0.3s ease; /* 过渡效果 */
}
.button-color-dark {
    /* color: #fff; */
    color: #ccc;
    background: #1c1c20;
    /* transition: background 0.5s, box-shadow 0.5s; */
    transition: background-color 0.5s ease; /* 过渡效果 */
}
.button-color-dark:hover {
    background: #202024;
    /* box-shadow: 3px 3px 0px #fff inset, 3px 3px 0px #f39c12; */
}
.button-color-yellow {
    color: #fff;
    background: #f1c40f;
    /* box-shadow: 3px 3px 0px #fff inset, 3px 3px 0px #f1c40f; */
    /* transition: background 0.5s, box-shadow 0.5s; */
    transition: background-color 0.5s ease; /* 过渡效果 */
}
.button-color-yellow:hover {
    background: #f39c12;
    /* box-shadow: 3px 3px 0px #fff inset, 3px 3px 0px #f39c12; */
}
.button-color-green {
    /* color: #fff; */
    color: #000;
    background: #A3CB38;
    transition: background-color 0.5s ease; /* 过渡效果 */
}
.button-color-green:hover {
    background: #C4E538;
    /* transition: background 0.3s; */
}
.button-color-purple {
    /* color: #fff; */
    color: #000;
    background: #5f27cd;
    transition: background-color 0.5s ease; /* 过渡效果 */
}
.button-color-purple:hover {
    background: #6f3fcf;
    /* transition: background 0.3s; */
}
.button-color-red {
    /* color: #fff; */
    color: #000;
    background: #EA2027;
    transition: background-color 0.5s ease; /* 过渡效果 */
}
.button-color-red:hover {
    background: #EE5A24;
    /* transition: background 0.3s; */
}

/*
 * Select
 */
select {
    font-family: PingFang SC;
}
.select {
    vertical-align: middle;
    min-width: 50px;
    height: 42px;
    box-sizing: border-box;
    outline: none;
    /* border: 1px solid #34495e; */
    border: none;
    border-radius: 12px;
    padding: 10px 30px 10px 20px;
    font-size: 14px;
    color: #34495e;
    /* background: #ecf0f1; */
    /* box-shadow: 3px 3px 0px #fff inset, 3px 3px 0px #ecf0f1; */
    float: left;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: #ecf0f1 url('../img/icon/icon_select_arrow_down.png') no-repeat right 12px bottom 50%;
    /* background-position: right center 10px 10px; */
    transition: background 0.1s;
    cursor: pointer;
}
.select-small {
    /* height: 32px; */
}
.select-color-grey  {
    /* box-shadow: 0px 3px 0px #ecf0f1 inset; */
    color: #ffffff;
    background-color: #1c1c20;
}


/*
 * Modal
 */
.modal {
    /* background: #141418; */
    position: fixed;
    display: grid;
    place-items: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 2;
    background-color: rgb(0,0,0); /* 背景颜色 */
    background-color: rgba(0,0,0,0.618); /* 背景颜色（带透明度） */
}
.modal-wrap {
    background: #141418;
    border-radius: 12px;
    padding: 20px;
}
.modal-header {
    display: flex;
    justify-content: space-between;
    /* flex-direction: column; */
    /* align-items: center; */
}
.modal-title {
    color: #d7d7d9;
    /* align-self: flex-start; */
}
.modal-close {
    /* justify-self: end; */
    /* align-self: flex-end; */
    margin-left: auto;
    cursor: pointer;
}
.modal-content {
    display: flex;
    /* justify-content: space-between; */
    /* justify-content: space-around; */
    gap: 20px;
    /* display: grid; */
    /* place-items: center; */
	/* border: 1px solid #303033; */
	/* padding: 50px; */
    /* grid-template-columns: auto auto; */
}
.modal-content-item {
    /* flex-grow: 1; */
    /* display: grid; */
    /* justify-content: center; */
    /* place-items: center; */
    /* align-items: center; */
    /* align-self: start; */
    display: flex;
    flex-direction: column;
    gap: 10px;
	width: 420px;
    position: relative;
}
.modal-content-group {
    display: flex;
    flex-direction: row;
    gap: 20px;
}
.modal-footer {
    display: flex;
    justify-content: flex-end;
    gap: 20px;
}

.banner {
    /* position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    background-image: url(http://160.251.137.59/img/banner2.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover; */

    position: relative;
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    /* z-index: 0; */
}
.banner::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    bottoom: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* 黑色半透明，可调整颜色和透明度 */
    z-index: 1; /* 确保蒙版在背景上方 */
}

.banner-background {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    object-fit: cover; /* 覆盖整个容器，类似 background-size: cover */
    z-index: 0;
}

/* 蒙版层 */
.banner-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

/* 内容层 */
.banner-content {
    position: relative;
    z-index: 2;
    color: white;
    text-align: center;
    padding: 20px;
    top: 300px;
}



/*
 * Header
 */
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    position: sticky;
    top: 0;
    z-index: 1;
    /* background: #141418; */
    height: 70px;
    padding: 0 20px;
}
.header-logo {
    display: flex;
}
.header-nav {
    display: flex;
    align-items: center;
    grid-gap: 10px;

}
.header-nav-item {
    position: relative;
    display: flex;
    align-items: center;
    height: 70px;
}

.header-nav-items {
    position: absolute;
    top: 65px;
    /* left: -10px; */
    border-radius: 12px;
    /* background: #141418; */
    background: #1c1c20;
    padding: 10px 12px;
    display: flex;
    flex-direction: column;
    grid-gap: 5px;
}
.header-nav-link {
    display: flex;
    white-space: nowrap;
    grid-gap: 10px;
    padding: 6px 10px;
    border-radius: 6px;
}
.header-nav-link:hover {
    background: #0c0c10;
}
.header-user {
    display: flex;
    align-items: center;
    grid-gap: 20px;
}
.user-avatar {
    width: 36px;
    height: 36px;
    border-radius: 36px;
    background: #1c1c20;
    position: relative;
}
.user-avatar:hover {
    cursor: pointer;
}
.user-avatar-img {
    width: 36px;
    height: 36px;
    border-radius: 36px;
}
.user-avatar-badge {
    position: absolute;
    bottom: 0;
    /* bottom: -3px; */
    /* left: 6px; */
    font-size: 8px;
    font-weight: bold;
    background: #A3CB38;
    border-radius: 12px;
    padding: 2px 4px;
}
.user-info-wrap {
    display: none;
}
.user-info {
    display: grid;
    align-items: center;
    grid-gap: 20px;
    position: absolute;
    top: 80px;
    right: 20px;
    z-index: 1;
    background: #141418;
    border-radius: 12px;
    padding: 10px;
    color: #ffffff;
}
.user-info-item {

}
.user-info-item:hover {
    cursor: pointer;
}
.search-upload-image-wrap {
    display: flex;
    padding: 50px 50px;
    border-radius: 12px;
    /* background: #141418; */
    border: 1px dashed #2c2c30;
}
.search-upload-image {
    position: relative;
    /* background: #f00; */
}
.search-upload-image input {
    position: absolute;
    left:0;
    top:0;
    opacity:0;
    /* font-size:100px; */
    /* filter: alpha(opacity=0); */

}

/*
 * Main
 */
.main {
    /* display: flex; */
    /* width: 100%; */
    /* display: grid; */
    /* grid-template-columns: auto 1fr; */
    /* grid-template-columns: auto 1fr; */
}
.manage {
    display: grid;
    grid-template-columns: auto 1fr;
}
.side {
    display: grid;
    position: -webkit-sticky;
    position: sticky;
    top: 70px;
    bottom: 0px;
    /* height: 80vh; */
    width: 240px;
}
.side-nav {
    /* display: grid; */
    /* justify-content: center; */
    padding: 15px;
    /* align-items: center; */
}
.side-nav-item {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    grid-gap: 10px;
    padding: 10px;
    margin-bottom: 5px;
    border-radius: 12px;
}
.side-nav-item:hover {
    background: #1c1c20;
    transition: background 0.3s;
}
.side-nav-item-link {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    grid-gap: 10px;
}
.side-user {
    display: grid;
    justify-content: center;
    /* align-items: center; */
}

.content {
    background: #101014;
    /* width: 100%; */
    /* height: 2500px; */
    /* padding: 20px; */
    /* border-top-left-radius: 16px; */
    /* flex: 1; */
}
.content-header {
    display: flex;
    gap: 10px;
    padding: 20px 20px 0 20px;
}
.content-game {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
    /* grid-gap: 10px; */
    padding: 10px;
}
.game-item {
    display: grid;
    padding: 10px;
    border-radius: 14px;
    transition: background-color 0.5s ease; /* 过渡效果 */
}
.game-item:hover {
    background: #1a1d24;
	/* border: 1px solid #23262d; */
    border-radius: 14px;
}
.game-item-avatar {
    position: relative;
}
.game-item-avatar-background {
    background: #141418;
    border-radius: 14px;
}
.game-item-avatar-img {
    border-radius: 14px;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
}
.game-item-avatar-badge {
    display: flex;
    align-items: center;
    height: 24px;
    line-height: 24px;
    border-radius: 16px;
    background: rgba(14, 14, 18, 0.75);
    color: #fff;
    font-size: 12px;
    padding: 0px 12px;
    position: absolute;
}
.game-item-avatar-badge:hover {
    background: #141418;
    cursor: pointer;
}
.game-item-avatar-badge-delete {
    background: none;
    padding: 0px;
}

.btn-delete-key:hover {
    fill: #e74c3c;
    cursor: pointer;
}
.game-item-info {
    display: grid;
    padding: 5px;
}
.game-item-info-title {
    font-size: 16px;
    color: #ffffff;
}
.game-item-info-title-en {
    font-size: 12px;
    color: #a7a7a9;
}
.image-item-avatar {
    width: 220px;
    height: 220px;
    border-radius: 14px;
}

.content-asset {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
    /* grid-gap: 10px; */
    padding: 10px;
}
.content-video {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
    /* grid-gap: 10px; */
    padding: 10px;
}
.content-chat {
    display: grid;
    grid-template-rows: 1fr auto;
    /* grid-gap: 10px; */
    padding: 10px;
}

/*
 * Detail
 */
.detail-main {
    display: grid;
    grid-template-columns: auto 420px;
    grid-gap: 20px;
    padding: 20px;
}
.detail-content {
    /* display: grid; */
}
.detail-side {
    background: #141418;
    border-radius: 12px;
    /* padding: 20px; */
    color: #ffffff;
    width: 420px;
}
.detail-side-item {
    margin: 10px;
    padding: 10px;
    background: #1c1c20;
    border-radius: 12px;
}
.detail-side-header {
    display: grid;
    padding: 20px;
    background: #1c1c20;
    border-radius: 12px 12px 0 0;
    position: relative;
}
.detail-side-info {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    padding: 20px;
}
.detail-header {
    display: flex;
    /* flex-direction: column; */
    justify-content: space-between;
    position: relative;
    padding-top: 15px;
    padding-bottom: 15px;
}
.detail-banner {
    display: grid;
}
.detail-image {
    border-radius: 12px;
    width: 100%;
    aspect-ratio: 16 / 9;
}
.detail-image-list {
    display: grid;
    grid-auto-flow: column;
    justify-content: start;
    grid-gap: 10px;
    overflow-x: auto;
    padding-top: 10px;
}
.detail-image-list-img {
    border-radius: 9px;
    width: 120px;
    aspect-ratio: 16 / 9;
    cursor: pointer;
    border: 2px solid rgba(0, 0, 0, 0);
}
.detail-image-list-img:hover {
    filter: brightness(1.3);
}
.detail-image-list-img-selected {
    border: 2px solid rgba(255, 255, 255, 0.9);
}
.detail-title {
    display: flex;
    flex-direction: column;
}
.detail-header-cinema {
    display: flex;
    align-items: center;
    gap: 5px;
    color: #eeeeee;
    cursor: pointer;
    /* justify-content: center; */
}
.detail-link {
    display: grid;
    grid-template-columns: auto auto auto auto 1fr;
    grid-gap: 10px;
}
.detail-overview {
    color: #ffffff;
}
#gameTextarea table {
    border: 0 !important;
}
.detail-author {
    display: grid;
    grid-template-columns: 32px auto;
    align-items: center;
    /* grid-gap: 5px; */
    padding: 6px 12px 6px 6px;
    background: #1c1c20;
    border-radius: 32px;
    transition: background 0.3s;
}
.detail-author:hover {
    cursor: pointer;
    background: #2c2c30;
}
.detail-author-avatar {
    width: 24px;
    height: 24px;
    border-radius: 32px;
}
.detail-author-name {
    color: #ffffff;
}
.detail-manage {
    position: absolute;
    top: 2px;
    right: 5px;
    font-size: 12px;
}
.detail-chat {
    display: grid;
    grid-template-rows: 1fr auto;
    /* height: 100vh; */
}

.blueprint iframe {
    border: none;
    width: 100%;
    height: 640px;
    /* height: 100vh; */
}

/*
 * DeepSeek
 */
.deepseek-message {
    display: grid;
    grid-gap: 20px;
    padding-bottom: 30px;
}
.deepseek-message-left {
    color: #ffffff;
    justify-self: start;
    background: #1c1c20;
    border-radius: 12px;
    padding: 10px;
}
.deepseek-message-right {
    justify-self: end;
    background: #A3CB38;
    border-radius: 12px;
    padding: 10px;
}


/*
 * Video
 */
.asset-image {
    border-radius: 12px;
    width: 100%;
    aspect-ratio: 16 / 9;
}

/*
 * Video
 */
video {
    width: 100%;
    height: auto;
    border-radius: 12px;
    /* background: #141418; */
}

video::-webkit-media-controls-timeline { /* 隐藏进度条 */
    /* display: none; */
    /* background: #141418; */
    /* background: #f00; */
    /* margin: 0; */
    /* padding: 0; */
    /* position: absolute; */
    /* left: 12px; */
    /* right: 12px; */
    /* bottom: 50px; */
    /* height: 3px; */
    /* border-radius: 3px; */
}
video::-webkit-media-controls-play-button { /* 播放按钮 */
    /* display: none; */
}
video::-webkit-media-controls-current-time-display { /* 当前观看时间 */
    /* display: none; */
}
video::-webkit-media-controls-time-remaining-display { /* 视频时间 */
    /* display: none; */
}
video::-webkit-media-controls-mute-button { /* 音量按钮 */
    /* display: none; */
}
video::-webkit-media-controls-toggle-closed-captions-button { /* 切换隐藏字幕按钮 */
    /* display: none; */
}
video::-webkit-media-controls-volume-slider { /* 音量控制条 */
    /* display: none; */
}
video::-webkit-media-controls-fullscreen-button { /* 全屏按钮 */
    /* display: none; */
}
video::-webkit-media-controls-enclosure { /* 隐藏所有控件 */
    /* display: none; */
}
video::-webkit-media-controls { /* 隐藏所有控件 */
    /* display: none; */
}
.video-player {
    border-radius: 12px;
    overflow: hidden;
    width: 100%;
    aspect-ratio: 16 / 9;
}
.video-player iframe {
    display: block;
    width: 100%;
    aspect-ratio: 16 / 9;
}

.custom-video-player {
    position: relative;
    max-width: 600px;
    margin: 20px auto;
}
.play-pause-btn {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(0, 0, 0, 0.6);
    color: white;
    border: none;
    padding: 8px 16px;
    cursor: pointer;
    border-radius: 4px;
}
.video-collection-info {
    display: grid;
    padding: 20px;
    background: #1c1c20;
    border-radius: 12px 12px 0 0;
    position: relative;
}
.video-collection-list {
    padding: 10px;
}
.video-collection-manage {
    position: absolute;
    top: 5px;
    right: 5px;
    font-size: 12px;
}
.video-list-item {
    display: grid;
    grid-template-columns: auto 1fr;
    grid-gap: 10px;
    padding: 10px;
    border-radius: 12px;
    cursor: pointer;
}
.video-list-item:hover {
    background: #1c1c20;
}
.video-list-item-selected {
    background: #2c2c30;
}
.video-list-item-selected:hover {
    background: #2c2c30;
}
.video-list-avatar {
    position: relative;
}
.video-list-avatar::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 12px;
}
.video-list-avatar-image {
    width: 150px;
    border-radius: 12px;
    /* filter: grayscale(100%); */
}
.video-list-avatar-lock {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.video-list-info {
    display: grid;
}
.video-list-title {
    font-size: 14px;
    color: #ffffff !important;
}
.video-list-subtitle {
    font-size: 12px;
    color: #a7a7a9 !important;
}
